Bug 1013956 - Installer: Validation error is hidden by EULA ( -console )
Installer: Validation error is hidden by EULA ( -console )
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER4
: EAP 6.2.0
Assigned To: Thomas Hauser
Petr Kremensky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 03:08 EDT by Petr Kremensky
Modified: 2017-10-09 20:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:16:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-10-01 03:08:46 EDT
Description of problem:
 There is a message "Validation error.: The port 9999 is already in use" if the port 9999 is used by some other application, but right after this message EULA is shown again covering whole screen, so user may completely miss the error message and be really confused (I was :)) as hitting continue (from his POV) just repeat showing EULA.

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER3

How reproducible:
 always

Steps to Reproduce:
 1. Block the port 9999 (start another EAP)
 2. Run console installation
 3. Hit continue after EULA is shown

Actual results:
 "Validation error.: The port 9999 is already in use, and is required for this installation. Please free up port 9999 and try the installation again." is before another EULA

Expected results:
 Only Validation error is shown without another EULA covering it.

Additional info:
 I would consider changing this from error to warning (user can carry on with installation) as user has ability to change ports during installation and create another collision.
Comment 1 Thomas Hauser 2013-10-01 09:33:04 EDT
I agree. This panel will now issue a warning instead of an error.
Comment 3 Petr Kremensky 2013-10-07 07:16:45 EDT
Verified on EAP 6.2.0.ER4 installer.

There is a issue regarding new warning message (see BZ1015248).

Note You need to log in before you can comment on or make changes to this bug.